* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --white-color: #fff;
    --bg-color: #fff;
    --primary-blue: #002A4A;
    --deep-blue: #0F5C7D;
    --very-low-blue: #DCF5FF;
    --low-color-text: #bfc8dc;
    --black-color: #000;
    --deep-bg-color: #002147;
}

.somnath-service-down-of-banner {
    width: 100%;
    height: auto;
    padding: 50px 0px 20px 0px;

}

.somnath-service-down-of-banner .somnath-service-main {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.somnath-service-down-of-banner .somnath-service-main .service-card-box {
    width: 270px;
    height: auto;
}

.somnath-service-down-of-banner .somnath-service-main .service-card-box .icon-btn-box {
    width: 100%;
    height: 200px;
    border-radius: 14px;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 10px;
    position: relative;
    margin-bottom: 50px;
    z-index: 1;
}

.somnath-service-down-of-banner .somnath-service-main .service-card-box .icon-btn-box::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    border-radius: 14px;
    background-color: var(--white-color);
    box-shadow: rgba(78, 78, 79, 0.2) 0px 8px 24px;
    backdrop-filter: blur(5px);
    z-index: -1;
    transition: all 0.3s 0s ease-out;
}

.somnath-service-down-of-banner .somnath-service-main .service-card-box:hover .icon-btn-box::before {
    top: 10px;
    height: calc(100% - 20px);
}


.somnath-service-down-of-banner .somnath-service-main .service-card-box .icon-btn-box .icon-service {
    width: auto;
    height: auto;
    font-size: 45px;
    line-height: 0;
    margin-top: 30px;
    color: var(--deep-blue); 
}

.somnath-service-down-of-banner .somnath-service-main .service-card-box .icon-btn-box .icon-service i{
    font-size: 45px;
    padding: 5px;
    background:linear-gradient(376deg, #033053, #1679c5);
    -webkit-background-clip: text;
    color: transparent;
}
.somnath-service-down-of-banner .somnath-service-main .service-card-box .icon-btn-box .service-name {
    width: 150px;
    height: auto;
    font-size: 20px;
    font-weight: 600;
    text-align: center;
    color: var(--deep-bg-color);
}

.somnath-service-down-of-banner .somnath-service-main .service-card-box .icon-btn-box .more-btn-service {
    width: 50px;
    height: 50px;
    /* border-radius: 50%; */
     border: 6px solid transparent;
  border-radius: 30px;
  background:
    linear-gradient(#fff, #fff) padding-box,
    linear-gradient(376deg, #033053, #1679c5) border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    position: absolute;
    bottom: 0px;
    transform: translateY(23px);
    background-color: var(--white-color);
    transition: 0.3s all ease;
    cursor: pointer;
    /* border: 1px solid red; */
}

.somnath-service-down-of-banner .somnath-service-main .service-card-box:hover .icon-btn-box .more-btn-service {
    transform: translateY(15px);
    transition: 0.4s all ease;
    width: 55px;
    height: 55px;
}

.somnath-service-down-of-banner .somnath-service-main .service-card-box .icon-btn-box .more-btn-service a {
    text-decoration: none;
    color: var(--deep-bg-color);
}